Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHFtpListenChannel

    java.lang.Object
      java.lang.Thread
          com.mindbright.ssh.SSHChannel
              com.mindbright.ssh.SSHListenChannel
                  com.mindbright.ssh.SSHFtpListenChannel

All Implemented Interfaces:
  java.lang.Runnable

public class SSHFtpListenChannel
extends SSHListenChannel

Field Summary

Fields inherited from class com.mindbright.ssh.SSHChannel
`channelId, listener`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SSHFtpListenChannel(java.lang.String localHost, int localPort, java.lang.String remoteHost, int remotePort, SSHChannelController controller)`

Method Summary
`SSHTunnel` | `newTunnel(java.net.Socket ioSocket, int channelId, int remoteChannelId, SSHChannelController controller)`

Methods inherited from class com.mindbright.ssh.SSHListenChannel
`forceClose, getListenHost, getListenPort, serviceLoop, setAllowRemoteConnect, setTemporaryListener`

Methods inherited from class com.mindbright.ssh.SSHChannel
`close, getChannelId, run, setSSHChannelListener`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHFtpListenChannel

    public SSHFtpListenChannel(java.lang.String localHost,
                               int localPort,
                               java.lang.String remoteHost,
                               int remotePort,
                               SSHChannelController controller)
                        throws java.io.IOException

Method Detail

### newTunnel

    public SSHTunnel newTunnel(java.net.Socket ioSocket,
                               int channelId,
                               int remoteChannelId,
                               SSHChannelController controller)
                        throws java.io.IOException

  Overrides:
    `newTunnel` in class `SSHListenChannel`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD